﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using Delay;

namespace IfModifiedSinceWebClientDemo
{
    public partial class MainWindow : Window
    {
        // Collection of output lines
        private ObservableCollection<string> _lines = new ObservableCollection<string>();

        public MainWindow()
        {
            InitializeComponent();

            // Set up "view model"
            DataContext = _lines;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // Test data - change as needed
            var localFile = "LocalFile.txt";
            var uri = new Uri("http://localhost:18797/File.txt");

            // Output status and initiate update
            _lines.Add("Updating " + localFile + " from " + uri.ToString() + "...");
            IfModifiedSinceWebClient.UpdateFileIfNewer(localFile, uri, UpdateFileIfNewerCompleted);
        }

        private void UpdateFileIfNewerCompleted(IfModifiedSinceWebClient.UpdateFileIfNewerResult result)
        {
            // Output result of update
            _lines.Add(result.ToString() + ".");
        }
    }
}
